CREATE MATERIALIZED VIEW entity_config_mview REFRESH COMPLETE AS
SELECT a.guid,
    c.source_type AS source_type_id,
    c.metric_dim_id,
    c.start_date,
    c.end_date,
    c.numeric_val,
    c.string_val,
    c.date_val,
    CASE
      WHEN c.id_val IS NOT NULL
      THEN
        (SELECT GUID FROM entity WHERE entity_id = c.id_val
        )
     when (metric_dim_id = (select metric_dim_id from config_metric_dim where std_name='conf_srvr_cml_id'))
      then hextoraw(string_val)
      ELSE NULL
    END AS guid_val
  FROM entity a,
    entity_config c
  WHERE a.entity_id = c.entity_id;